
// LM8UU-Bearing X-Carriage
// Used for sliding on X axis
// GNU GPL v2
// Simon Kühling <mail@simonkuehling.de>
// Derived from
//	- "Lm8uu X Carriage with Fan Mount for Prusa Mendel" by Greg Frost
//	  http://www.thingiverse.com/thing:9869
//	- "Slim LM8UU Holder Parametric" by Jonas Kühling
//	  http://www.thingiverse.com/thing:16158



// Gregs configuration file
include <configuration.scad>

// jonaskuehling's slim LM8UU Holder
include <lm8uu-holder-slim.scad>

// spacing (58-42)/2
// 65 mm

$fn=12;

// Dimension Plateau
Lenght=76;
Height=65;
Thickness=5;

// Trous originaux
TO_ray = 2.5;

TO_Xpos =4.5 + TO_ray;
TO_Ypos = 19 + TO_ray;

//Belt Holders
BH_Xpos = 10;
BH_Ypos = 10;

//X_pos=(Lenght-(LM8UU_dia + 6 ))/2;
X_pos=(58-8)/2;
Y_pos=(Height-LM8UU_length)/2;


// cube([25,15,15]); //temoin


// Piece 
// -----


difference() {
	 piece_positif();
    piece_negatif();

}

module piece_positif() {
cube([Lenght,Height,Thickness],center=true);
LM8UU_Holders();
Belt_Holders();
}

module piece_negatif() {
trousoriginaux();
}





// Modules
// -------

	// LM8UU Holders
module LM8UU_Holders() {
	for(i=[-1,1])
	{
		translate([-X_pos,i*Y_pos,Thickness/2])
		render()
		rotate([0,0,180])
		lm8uu_holder();

			
	}
		translate([X_pos,0*Y_pos,Thickness/2])
		render()
		lm8uu_holder();	
}

	// Trous originaux
module trousoriginaux() { 
	for(i=[-1,1])
	{
		translate([TO_Xpos,i*TO_Ypos,0])
	   cylinder(r=2.5,h=15, center = true);

		translate([-TO_Xpos,i*TO_Ypos,0])
	   cylinder(r=2.5,h=15, center = true);				
    }
}


	// belt holders
module Belt_Holders() { 
	for(i=[-1,1])
	{
	  difference() {
		translate([BH_Xpos,i*BH_Ypos,Thickness+2.5])       cube([10,5,10],center= true);
		rotate([0,90,90])
		translate([-7.5,-10,i*10])
      cylinder(r=2.5,h=15, center = true);
     }
    }
}

